Cant connect my USB device (telescope) after PD 17.1.0 Update

Discussion in 'Windows Guest OS Discussion' started by yasara, Oct 19, 2021.

  1. yasara

    yasara

    Messages:
    2
    My telescope cant connect to my Windows 10 running on Mac with Parallels Desktop 17.1.0. Yesterday it was ok and I was using it for a year almost. It ok with my other Mac which is not updated.
    Please help me, Im not able to work right now.
     
  2. yasara

    yasara

    Messages:
    2
    Ok I did solve my problem as downgrading to 16.5.1 It looks version 17 not compatible for some devices.
     
  3. GlennS5

    GlennS5 Bit Poster

    Messages:
    14
    I started having USB issues with 17.1.0 as well, but worked fine with 17.0.1. If you are willing to give it a try maybe 17.0.1 works fine and only 17.1.0 that is having USB issues for you as well.
     
  4. Maria@Parallels

    Maria@Parallels Kilo Poster

    Messages:
    8,694
    Hi, could you collect the technical report once the issue reproduced and post the report's ID here please?
     
  5. GlennS5

    GlennS5 Bit Poster

    Messages:
    14
  6. ThomasH76

    ThomasH76 Bit Poster

    Messages:
    5
    How can i go back to 17.0.1 ? Is there a download link or something?
     
  7. ThomasH76

    ThomasH76 Bit Poster

    Messages:
    5
    I tried to connect my Samsung Tab 7. Did not work with 17.1.0. I went back to 17.0.1. and it works now, again.
     
  8. Jon Donshik

    Jon Donshik Bit Poster

    Messages:
    19
    I am also having USB issues with 17.1. Running W11. My Phillips SpeechMike, which is a speech recognition microphone that I use for Dragon Naturally Speaking, will not work. It is recognized by the Mac, used to work in Parallels immediately prior to upgrade to 17.1 (from 17.0.1), but now wont connect. In USB devices in Parallels menu, the hardware shows up, and is checked (to be used with VM, rather than host Mac). However, the Phillips SpeechMike software (Phillips Device Control Center) does not see the microphone and therefore I cannot dictate with the microphone. Interestingly, Dragon does recognize the Mac's built-in microphone and I CAN dictate that way. However, the Phillips microphone is much more accurate.
     
    DragoB likes this.
  9. wentworth3

    wentworth3 Bit Poster

    Messages:
    1
    Same here with another USB device. I was able to plug in my Foxwell code reader to an instance of Windows 10 for updates without incident prior to installing 17.1.
     
  10. KavehV

    KavehV Bit Poster

    Messages:
    32
    I'm also having USB issues with CAN-related devices not working properly anymore when they were with Parallels 16.x.
     
  11. JohnD44

    JohnD44 Bit Poster

    Messages:
    22
    Yet another confirmation - none of my external USB optical drives can connect to Windows VM's. Rolling back to 17.0.1 *sigh* SERIOUSLY Parallels - do you NOT TEST your applications before release? Wow, just wow.
     
  12. GlennS5

    GlennS5 Bit Poster

    Messages:
    14
    I had the installation file for 17.0.1 stored on my computer, but don't know if Parallels got a download link for 17.0.1. I could share or you could ask Parallels support for a download link.
     
  13. ThomasH76

    ThomasH76 Bit Poster

    Messages:
    5
  14. salvomic

    salvomic Kilo Poster

    Messages:
    173
    Maybe is this also my problem? In macOS Monterey with Parallels 17 the "CZUR ET18 pro scanner" no longer goes: the USB device is not seen. I don't know if the problem is actually in macOS or Parallels because I only noticed after the installation of Parallels 17.
     
  15. salvomic

    salvomic Kilo Poster

    Messages:
    173
    PS: The same scanner works well in macOS BigSur with Parallels 16, both in Windows and macOS.

    Here (Monterey and Parallels 17), instead, it doesn't go both in Windows and macOS.
     
  16. GlennS5

    GlennS5 Bit Poster

    Messages:
    14
    You could try to downgrade to 17.0.1 and see if that solve the problem. You can find a link to 17.0.1 in this thread.
     
  17. salvomic

    salvomic Kilo Poster

    Messages:
    173
    ok, I'll try
     
  18. Jon Donshik

    Jon Donshik Bit Poster

    Messages:
    19
    Were you able to downgrade to 17.0.1? Did it fix the problem?
     
  19. salvomic

    salvomic Kilo Poster

    Messages:
    173
    I tried to install the 17.0.1 but after the version 17.1 remained and nothing has changed...
     
  20. KavehV

    KavehV Bit Poster

    Messages:
    32
    I'm betting you hit the "upgrade" button when running the installer. The installer will check for updates before running and present you with an option to get 17.1 instead. You have to simply close that window and select the option to install the "current" version.

    Downgrading to 17.0.1 fixed the issue for me as well.
     

Share This Page